<?php

/**
 * @link https://orderprotection.com
 * @since 1.0
 * @package OrderProtectionWp
 *
 * @wordpress-plugin
 * Plugin Name: OrderProtection
 * Plugin URI: https://orderprotection.com
 * Description: Integration with OrderProtection.com
 * Author: OrderProtection
 * Author URI: https://orderprotection.com
 * Version: 1.2.0
 * License: Proprietary
 * Text Domain: orderprotection-wp
 * Domain Path: /languages
 */

declare(strict_types=1);

namespace OrderProtectionWp;

use OrderProtectionWpVendor\EightshiftLibs\Cli\Cli;

/**
 * If this file is called directly, abort.
 */
if (!\defined('WPINC')) {
  die;
}

/**
 * Include the autoloader so we can dynamically include the rest of the classes.
 */
$loader = require __DIR__ . '/vendor/autoload.php';

/**
 * The code that runs during plugin activation.
 */
register_activation_hook(
  __FILE__,
  function () {
    PluginFactory::activate();
  }
);

/**
 * The code that runs during plugin deactivation.
 */
register_deactivation_hook(
  __FILE__,
  function () {
    PluginFactory::deactivate();
  }
);

$pluginInstance = PluginFactory::create($loader->getPrefixesPsr4(), __NAMESPACE__);

/**
 * Kickstart register methods
 */
$pluginInstance->register();

/**
 * Run all WPCLI commands.
 */
if (class_exists(Cli::class)) {
  (new Cli())->load('boilerplate');
}
