<?php

/**
 * Creatable interface
 *
 * Used to specify methods for sending towards the third party API
 *
 * @package OrderProtectionWp\Api
 */

declare(strict_types=1);

namespace OrderProtectionWp\Api;

interface Creatable
{
	/**
	 * Send data to the Order Protection API
	 *
	 * @param array<mixed> $data Data to send.
	 *
	 * @return mixed
	 */
	public function create(array $data, string $parent_id = '');
}
