<?php

declare(strict_types=1);

namespace OrderProtectionWp\Api\Dto;

class AddressDto
{
  /** @var string */
  private $firstName;

  /** @var string */
  private $lastName;

  /** @var string */
  private $address1;

  /** @var string */
  private $address2;

  /** @var string */
  private $city;

  /** @var string */
  private $state;

  /** @var string */
  private $zip;

  /** @var string */
  private $country;

  /** @var string */
  private $type;

  public function __construct(
    $firstName,
    $lastName,
    $address1,
    $address2,
    $city,
    $state,
    $zip,
    $country,
    $type = 'SHIPPING'
  ) {
    $this->firstName = $firstName;
    $this->lastName = $lastName;
    $this->address1 = $address1;
    $this->address2 = $address2;
    $this->city = $city;
    $this->state = $state;
    $this->zip = $zip;
    $this->country = $country;
    $this->type = $type;
  }

  public function toArray(): array
  {
    return [
      'firstName' => $this->firstName,
      'lastName' => $this->lastName,
      'address1' => $this->address1,
      'address2' => $this->address2,
      'city' => $this->city,
      'state' => $this->state,
      'zip' => $this->zip,
      'country' => $this->country,
      'type' => $this->type
    ];
  }
}
