<?php

declare(strict_types=1);

namespace OrderProtectionWp\Api\Dto;

class OrderItemDto
{
    /** @var string */
    private $productName;

    /** @var string */
    private $productUrl;

    /** @var string */
    private $productImage;

    /** @var string */
    private $sku;

    /** @var int */
    private $quantity;

    /** @var float */
    private $price;

    /** @var string */
    private $sourceItemId;

    /** @var string */
    private $sourceProductId;

    /** @var string */
    private $sourceVariantId;

    /** @var float */
    private $tax;

    /** @var float */
    private $discount;

    public function __construct(
        $productName,
        $productUrl,
        $productImage,
        $sku,
        $quantity,
        $price,
        $sourceItemId,
        $sourceProductId,
        $sourceVariantId,
        $tax,
        $discount
    ) {
        $this->productName = $productName;
        $this->productUrl = $productUrl;
        $this->productImage = $productImage;
        $this->sku = $sku;
        $this->quantity = $quantity;
        $this->price = $price;
        $this->sourceItemId = $sourceItemId;
        $this->sourceProductId = $sourceProductId;
        $this->sourceVariantId = $sourceVariantId;
        $this->tax = $tax;
        $this->discount = $discount;
    }

    public function toArray(): array
    {
        return [
            'productName' => $this->productName,
            'productUrl' => $this->productUrl,
            'productImage' => $this->productImage,
            'sku' => $this->sku,
            'quantity' => $this->quantity,
            'price' => $this->price,
            'sourceItemId' => $this->sourceItemId,
            'sourceProductId' => $this->sourceProductId,
            'sourceVariantId' => $this->sourceVariantId,
            'tax' => $this->tax,
            'discount' => $this->discount
        ];
    }
}
