/**
 * This is the main entry point for Block Editor blocks scripts used for the `WordPress frontend screen`.
 * This file registers all blocks additional scripts dynamically using `dynamicImport` helper method.
 * File names must follow naming convention to be able run dynamically.
 *
 * `src/blocks/custom/block_name/assets/index.js`.
 *
 * Usage: `WordPress frontend screen`.
 */
import { dynamicImport } from '@eightshift/frontend-libs/scripts/helpers';

// Find all blocks and require assets index.js inside it.
dynamicImport(require.context('./../../components', true, /assets\/index\.js$/));

import { registerPlugin } from '@wordpress/plugins';
import domReady from '@wordpress/dom-ready';
import { FeeWidget } from './components/FeeWidget';

domReady(() => {
	// const wc = window.wc;
	//
	// const { ExperimentalOrderMeta } = wc.blocksCheckout;
	//
	// const render = () => {
	// 	return (
	// 		<ExperimentalOrderMeta>
	// 			<FeeWidget/>
	// 		</ExperimentalOrderMeta>
	// 	);
	// };

	// registerPlugin( 'orderprotection', {
	// 	render,
	// 	scope: 'woocommerce-checkout',
	// } );
});
