import domReady from '@wordpress/dom-ready';

domReady(() => {
	const modalClass = '.js-orderprotection-fee-modal';
	const modalButtonClass = '.js-open-op-modal';
	const closeButtonClass = '.js-orderprotection-fee-modal-close-button';
	const modalOverlayClass = '.js-orderprotection-fee-modal-overlay';

	const modalElement = document.querySelector(modalClass);

	if (!modalElement) {
		return;
	}

	import('./widget-modal').then(({ WidgetModal }) => {
		const modal = new WidgetModal({
			modalElement: modalElement,
			modalButtonClass: modalButtonClass,
			modalClass: modalClass,
			closeButtonClass: closeButtonClass,
			modalOverlayClass: modalOverlayClass,
		});

		modal.init();
	});
});
