export class WidgetModal {
	constructor(options) {
		this.modalClass = options.modalClass;
		this.modalButtonClass = options.modalButtonClass;
		this.modalElement = options.modalElement;
		this.closeButtonClass = options.closeButtonClass;
		this.modalOverlayClass = options.modalOverlayClass;

		this.closeButtonElement = document.querySelector(this.closeButtonClass);
		this.modalOverlayElement = document.querySelector(this.modalOverlayClass);

		this.IS_SHOWN_CLASS = 'is-shown';
	}

	init() {
		this.detachModal();

		document.addEventListener('click', (event) => {
			if (!event.target.matches(this.modalButtonClass)) {
				return;
			}

			this.openModal();
		});

		this.closeButtonElement.addEventListener('click', () => {
			this.closeModal();
		});

		this.modalOverlayElement.addEventListener('click', () => {
			this.closeModal();
		});
	}

	openModal() {
		this.modalElement.classList.add(this.IS_SHOWN_CLASS);
	}

	closeModal() {
		this.modalElement.classList.remove(this.IS_SHOWN_CLASS);
	}

	detachModal() {
		this.modalElement.parentNode.removeChild(this.modalElement);

		document.getElementsByTagName('body')[0].append(this.modalElement);
	}
}
