<?php

/**
 * The file that holds integration with CheckoutWC integration
 *
 * @package OrderProtectionWp\Integrations
 */

declare(strict_types=1);

namespace OrderProtectionWp\Integrations;

use OrderProtectionWp\Helpers\Cart;
use OrderProtectionWpVendor\EightshiftLibs\Services\ServiceInterface;

/**
 * CheckoutWC class.
 */
class CheckoutWC implements ServiceInterface
{

	private Cart $cartHelper;

	public function __construct(Cart $cart)
	{
		$this->cartHelper = $cart;
	}

	/**
	 * Register all the hooks
	 *
	 * @return void
	 */
	public function register(): void
	{
		if (!function_exists('is_plugin_active')) {
			include_once ABSPATH . 'wp-admin/includes/plugin.php';
		}

		if (!is_plugin_active('checkoutwc-lite/checkout-for-woocommerce.php') && !is_plugin_active('checkout-for-woocommerce/checkout-for-woocommerce.php')) {
			return;
		}

		add_action('cfw_after_coupon_module', [$this, 'addOrderProtectionToCheckout'], 10, 1);
	}

	public function addOrderProtectionToCheckout(): void
	{
		$this->cartHelper->renderWidget(true);
	}
}
