<?php

/**
 * The file that holds FetchOrderProtectionRates interface
 *
 * @package OrderProtectionWp\OrderProtectionApi
 */

declare(strict_types=1);

namespace OrderProtectionWp\OrderProtectionApi;

/**
 * Interface FetchOrderProtectionRatesInterface.
 *
 * This interface defines methods for fetching and retrieving order protection rates.
 *
 * @since 1.0.0
 */
interface FetchOrderProtectionRatesInterface
{
	/**
	 * Fetch rates.
	 *
	 * @return array<string, mixed> The array of rate data.
	 */
	public function fetchRates(): array;

	/**
	 * Get the rates.
	 *
	 * @return array<string, mixed> The array of rate data.
	 */
	public function getRates(): array;
}
