<?php

declare(strict_types=1);

namespace OrderProtectionWp\Resolutions;

use OrderProtectionWp\WooCommerce\RefundService;
use WC_Order;

class RefundResolution implements ResolutionStrategyInterface
{
    public function handle(WC_Order $order, array $resolution): void
    {
        $details = $resolution['details'];
        $refundAmount = (float) $details['total_refund_amount'];

        $refundService = new RefundService();
        $refundService->processRefund($order, $refundAmount, 'OrderProtection claim resolution');
    }
}
