<?php

declare(strict_types=1);

namespace OrderProtectionWp\Resolutions;

use WC_Order;

class RemoveProtectionResolution implements ResolutionStrategyInterface
{
    public function handle(WC_Order $order, array $body): void
    {
        error_log("removing order protection");
        $refundAmount = $body['amount'];
		$formattedRefundAmount = sprintf("%.2f", $refundAmount);
        wc_refund_payment($order, $formattedRefundAmount, 'Refund for OrderProtection cancellation');
		wc_create_refund([
			'amount' => $formattedRefundAmount,
			'reason' => 'OrderProtection refunded',
			'order_id' => $order->get_id(),
		]);

		$order->add_order_note("OrderProtection has been cancelled and refunded for the amount: $$formattedRefundAmount");
    }
}
