<?php

declare(strict_types=1);

namespace OrderProtectionWp\Resolutions;

use OrderProtectionWpVendor\EightshiftLibs\Services\ServiceInterface;

class ReshipResolutionProcessor implements ServiceInterface
{
    private ReshipResolution $reshipResolution;

    public function __construct(ReshipResolution $reshipResolution)
    {
        $this->reshipResolution = $reshipResolution;
    }

    public function register(): void
    {
        add_action('orderprotection_process_reship', [$this, 'processReship'], 10, 2);
    }

    public function processReship(int $orderId, array $resolution): void
    {
        $order = wc_get_order($orderId);

        if (!$order) {
            error_log("there was an error retrieving the WC order");
            error_log("order not found with $orderId");
            return;
        }

        $this->reshipResolution->handle($order, $resolution);
    }
}
