<?php

/**
 * Fired when the plugin is uninstalled.
 *
 * @package OrderProtectionWp
 */

declare(strict_types=1);

use OrderProtectionWp\Settings\PluginSettings;

if (! current_user_can('activate_plugins')) {
	return;
}

// If uninstall is not called from WordPress, then exit.
if (! defined('WP_UNINSTALL_PLUGIN')) {
	exit;
}

// Plugin settings cleanup.
delete_option(PluginSettings::OPTION_NAME);
